DSM-G600, DNS-3xx and NSA-220 Hack Forum

Unfortunately no one can be told what fun_plug is - you have to see it for yourself.

You are not logged in.

Announcement

#1 2009-04-20 21:25:59

octocom
New member
Registered: 2009-04-18
Posts: 4

Java 6 for Arm install problems?

Hi All

I am trying to get arm working for the arm processor I hope you can help?

I have downloaded openjdk-6-jre-headless-6b14-1.4.1.deb for arm "armel" and then used Alien alien_8.74 to convert everything including scripts to tgz.

I have then used the follow to extract the data in telnet

tar zxf openjdk-6-jre-headless-6b14-1.4.1.tgz

now I have gone to the install directory and run the following install script but notthing happens no error message or notthing to say its installed what happend?

./mnt/doinstal.sh

Can any of you take a look at the following script to see if you can see anything wrong please?

#!/bin/sh

set -e

priority=1057
basedir=/usr/lib/jvm/java-6-openjdk
basediralias=/usr/lib/jvm/java-6-openjdk
jdiralias=java-6-openjdk
mandir=/usr/lib/jvm/java-6-openjdk/jre/man
srcext=1.gz
dstext=1.gz
jre_tools='java keytool pack200 rmid rmiregistry unpack200 orbd servertool tnameserv'

case "$1" in
configure)
    [ -d /etc/.java ] || mkdir -m 755 /etc/.java
    [ -d /etc/.java/.systemPrefs ] || mkdir -m 755 /etc/.java/.systemPrefs
    if [ ! -f /etc/.java/.systemPrefs/.system.lock ]; then
    touch /etc/.java/.systemPrefs/.system.lock
    chmod 644 /etc/.java/.systemPrefs/.system.lock
    fi
    if [ ! -f /etc/.java/.systemPrefs/.systemRootModFile ]; then
    touch /etc/.java/.systemPrefs/.systemRootModFile
    chmod 644 /etc/.java/.systemPrefs/.systemRootModFile
    fi

    for i in $jre_tools; do
    unset slave1 slave2 || true
        if [ -e $mandir/man1/$i.$srcext ]; then
        slave1="--slave \
        /usr/share/man/man1/$i.$dstext \
                $i.$dstext \
                $mandir/man1/$i.$srcext"
    fi
    # disabled
        if false && [ -e $mandir/ja/man1/$i.$srcext ]; then
        slave2="--slave \
        /usr/share/man/ja/man1/$i.$dstext \
                ${i}_ja.$dstext \
                $mandir/ja/man1/$i.$srcext"
    fi
        update-alternatives \
            --install \
            /usr/bin/$i \
            $i \
            $basediralias/jre/bin/$i \
            $priority \
        $slave1 $slave2
    done
    update-alternatives \
    --install /usr/bin/jexec jexec $basediralias/jre/lib/jexec $priority \
    --slave \
        /usr/share/binfmts/jar \
        jexec-binfmt \
        $basediralias/jre/lib/jar.binfmt

    # register binfmt; ignore errors, the alternative may already be
    # registered by another JRE.
    if which update-binfmts >/dev/null && [ -r /usr/share/binfmts/jar ]; then
        update-binfmts --package openjdk-6 --import jar || true
    fi

    mount | grep -qs 'on /proc type proc' || echo >&2 "/proc is not mounted; some java apps may fail"

    # activate class data sharing
    case java-6-openjdk in
    *cacao|*shark);;
    *)
    case arm in i386|sparc)
    rm -f $basedir/jre/lib/arm/client/classes.jsa
    log=$(tempfile)
    if ! $basedir/bin/java -client -Xshare:dump -XX:PermSize=128m > $log; then
        cat >&2 $log
        rm -f $log
        # this may fail on some machines/configurations, just ignore it.
        echo >&2 "ignoring dump failure"
        #exit 1
    fi
    rm -f $log
    esac
    esac

    ;;

esac



exit 0

Offline

 

Board footer

Powered by PunBB
© Copyright 2002–2010 PunBB